Debian Bug report logs - #279526
RM: icecast-client -- RoQA; orphaned for 500+ days, unsupported upstream

Package: ftp.debian.org; Maintainer for ftp.debian.org is Debian FTP Master <ftpmaster@ftp-master.debian.org>;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Wed, 3 Nov 2004 15:03:04 UTC

Severity: normal

Done: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, David M. Zendzian <dmz@debian.org>, icecast2@packages.debian.org, icecast-server@packages.debian.org, <wnpp@debian.org>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to David M. Zendzian <dmz@debian.org>, icecast2@packages.debian.org, icecast-server@packages.debian.org, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: icecast-client -- Streaming Mpeg Layer III feeder
Date: Wed, 03 Nov 2004 15:57:36 +0100
Package: wnpp
Severity: normal

The current maintainer of icecast-client, David M. Zendzian <dmz@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Please note the existance of icecast2 and icecast-server.

Some information about this package:

Package: icecast-client
Binary: icecast-client
Version: 1.4.0-4.2
Priority: optional
Section: sound
Maintainer: David M. Zendzian <dmz@debian.org>
Build-Depends: debmake
Architecture: any
Standards-Version: 3.1.1
Format: 1.0
Directory: pool/main/i/icecast-client
Files: 1b8637afb0293a07b72bcb9c5ccd66b3 507 icecast-client_1.4.0-4.2.dsc
 faf9f00bf243f6b2883c4728ee7b8145 59220 icecast-client_1.4.0-4.2.tar.gz

Package: icecast-client
Priority: optional
Section: sound
Installed-Size: 148
Maintainer: David M. Zendzian <dmz@debian.org>
Architecture: i386
Version: 1.4.0-4.2
Depends: libc6 (>= 2.3.1-1)
Filename: pool/main/i/icecast-client/icecast-client_1.4.0-4.2_i386.deb
Size: 27640
MD5sum: 7090975d9f3547e2f847cf3fa1ec7fb6
Description: Streaming Mpeg Layer III feeder
 Icecast was created in January of 1999 by Jack Moffitt and Barath
 Raghavan to provide an open source audio streaming server that
 anyone could modify, use, and tinker with. It is developed under the
 GNU General Public License by many people scattered around the
 globe.




Changed Bug title. Request was from Mario Iseli <admin@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Mario Iseli <admin@marioiseli.com> to control@bugs.debian.org. Full text and rfc822 format available.

Owner recorded as Mario Iseli <admin@marioiseli.com>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #16 received at 279526-quiet@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Mario Iseli <admin@marioiseli.com>
Cc: 279526-quiet@bugs.debian.org
Subject: Re: ITA: icecast-client -- Streaming Mpeg Layer III feeder
Date: Sun, 20 Nov 2005 20:57:03 +0100
On Mon, Oct 24, 2005 at 23:13:01 +0200, Mario Iseli wrote:
> retitle 279526 ITA: icecast-client -- Streaming Mpeg Layer III feeder

Do you still intend to adopt icecast-client?  Are there any reasons
not to switch to icecast2?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mario Iseli <admin@marioiseli.com>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mario Iseli <mario@marioiseli.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mario Iseli <admin@marioiseli.com>. Full text and rfc822 format available.

Message #21 received at 279526@bugs.debian.org (full text, mbox):

From: Mario Iseli <mario@marioiseli.com>
To: Matej Vela <vela@debian.org>
Subject: Re: ITA: icecast-client -- Streaming Mpeg Layer III feeder
Date: Sun, 20 Nov 2005 22:42:42 +0100
Hi Matej!

On Sun, 2005-11-20 at 20:57 +0100, Matej Vela wrote:
> On Mon, Oct 24, 2005 at 23:13:01 +0200, Mario Iseli wrote:
> > retitle 279526 ITA: icecast-client -- Streaming Mpeg Layer III feeder
> 
> Do you still intend to adopt icecast-client?  Are there any reasons
> not to switch to icecast2?

Yes, that's a good question. First i thought too there would be some
reasons, but now i think the code is too buggy and too much patches to
ever be stable again. I think the package can be removed.

Mario






Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Mario Iseli <admin@marioiseli.com>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Mario Iseli <admin@marioiseli.com>. Full text and rfc822 format available.

Message #26 received at 279526@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: Mario Iseli <mario@marioiseli.com>
Cc: control@bugs.debian.org, 279526@bugs.debian.org
Subject: Re: ITA: icecast-client -- Streaming Mpeg Layer III feeder
Date: Mon, 21 Nov 2005 05:39:30 +0100
retitle 279526 O: icecast-client -- Streaming Mpeg Layer III feeder
noowner 279526
thanks

On Sun, Nov 20, 2005 at 22:42:42 +0100, Mario Iseli wrote:
> On Sun, 2005-11-20 at 20:57 +0100, Matej Vela wrote:
>> Do you still intend to adopt icecast-client?  Are there any reasons
>> not to switch to icecast2?
>
> Yes, that's a good question. First i thought too there would be some
> reasons, but now i think the code is too buggy and too much patches to
> ever be stable again. I think the package can be removed.

OK, retitling to orphaned for now.  I'll check with the icecast2
maintainer and probably file for removal.

Thanks for your prompt response,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by Mario Iseli <admin@marioiseli.com>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 279526@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: icecast-server@packages.debian.org, icecast2@packages.debian.org, ices2@packages.debian.org
Cc: 279526@bugs.debian.org, debian-qa@lists.debian.org
Subject: Should we remove icecast-client?
Date: Mon, 21 Nov 2005 06:44:47 +0100
Hello,

icecast-client has been orphaned for a year, and seems to have been
superseded upstream by libshout and ices2.  Are there any reasons to
keep it in the archive?

Thanks,

Matej



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jonas Smedegaard <dr@jones.dk>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #40 received at 279526@bugs.debian.org (full text, mbox):

From: Jonas Smedegaard <dr@jones.dk>
To: Matej Vela <vela@debian.org>
Cc: icecast-server@packages.debian.org, 279526@bugs.debian.org, debian-qa@lists.debian.org
Subject: Re: Should we remove icecast-client?
Date: Mon, 21 Nov 2005 12:16:59 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

On Mon, 21 Nov 2005 06:44:47 +0100
Matej Vela <vela@debian.org> wrote:

> icecast-client has been orphaned for a year, and seems to have been
> superseded upstream by libshout and ices2.  Are there any reasons to
> keep it in the archive?

I would have no problems with that package dropped, but it streams MP3
files while ices2 stream Ogg/Vorbis files. So the package may still be
interesting for some users.


 - Jonas

- -- 
* Jonas Smedegaard - idealist og Internet-arkitekt
* Tlf.: +45 40843136  Website: http://dr.jones.dk/

 - Enden er nær: http://www.shibumi.org/eoti.htm
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2 (GNU/Linux)

iD8DBQFDgayqn7DbMsAkQLgRAp/8AJ9BAVKg25rrLNz2KpBNFOWrjD7WVQCfasn7
VzsXrivkwQZzsN65fxCC92U=
=XS3/
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Emmanuel 'mms' le Chevoir <mms@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #45 received at 279526@bugs.debian.org (full text, mbox):

From: Emmanuel 'mms' le Chevoir <mms@debian.org>
To: Matej Vela <vela@debian.org>
Cc: 279526@bugs.debian.org, icecast2@packages.debian.org, debian-qa@lists.debian.org
Subject: Re: Should we remove icecast-client?
Date: Mon, 21 Nov 2005 16:33:17 +0100
[Message part 1 (text/plain, inline)]
Le Lundi 21 Novembre 2005 06:44, Matej Vela a écrit :
> Hello,
>
> icecast-client has been orphaned for a year, and seems to have been
> superseded upstream by libshout and ices2.  Are there any reasons to
> keep it in the archive?

icecast-client contains an mp3 streaming program called 'shout', which is 
deprecated, buggy [1], and crashes a lot. It was orphaned upstream in favor 
of ices0, which is still maintained in parallel to ices2.

I don't think removing icecast-client from the pool will cause any major
trouble, given its rank in the popularity contest. Still, it might be 
interesting to keep it and make it a transition package towards an ices0 [2] 
package (or at least some stripped down version of ices0 that can't re-encode 
its input, thus avoiding most of the patent related problems).

What do you all think about it ?


[1] http://bugs.debian.org/cgi-bin/pkgreport.cgi?pkg=icecast-client
[2] http://people.xiph.org/~brendan/snapshots/ices0/

-- 
Emmanuel le Chevoir
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#279526; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Matej Vela <vela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #50 received at 279526@bugs.debian.org (full text, mbox):

From: Matej Vela <vela@debian.org>
To: 279526@bugs.debian.org
Cc: control@bugs.debian.org, debian-qa@lists.debian.org
Subject: RM: icecast-client -- RoQA; orphaned for 500+ days, unsupported upstream
Date: Mon, 20 Mar 2006 12:06:05 +0100
retitle 279526 RM: icecast-client -- RoQA; orphaned for 500+ days, unsupported upstream
reassign 279526 ftp.debian.org
thanks

I think we should remove icecast-client.

  * Orphaned for 1 year and 136 days.
  * Upstream rewrote it from scratch, and renamed it to ices:
    <http://www.icecast.org/ices.php>
    There are two flavors: ices0 for MP3, and ices2 for Ogg Vorbis.
    ices0 has patent issues due to its ability to re-encode MP3s;
    while it should be possible to package an unencumbered version,
    no one expressed an interest:
    <http://lists.debian.org/debian-qa/2005/11/msg00054.html>
  * ices2 does have a Debian package, and users will still be able to
    stream Ogg Vorbis files and soundcard input.
  * popcon: 91 installations, 17 votes.

Thanks,

Matej



Changed Bug title. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Bug reassigned from package `wnpp' to `ftp.debian.org'. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #59 received at 279526-close@bugs.debian.org (full text, mbox):

From: Debian Archive Maintenance <ftpmaster@ftp-master.debian.org>
To: 279526-close@bugs.debian.org
Cc: icecast-client@packages.debian.org, icecast-client@packages.qa.debian.org
Subject: Bug#279526: fixed
Date: Wed, 22 Mar 2006 04:28:29 -0800
We believe that the bug you reported is now fixed; the following
package(s) have been removed from unstable:

icecast-client |    1.4.0-6 | source, alpha, amd64, arm, hppa, hurd-i386, i386, ia64, m68k, mips, mipsel, powerpc, s390, sparc

Note that the package(s) have simply been removed from the tag
database and may (or may not) still be in the pool; this is not a bug.
The package(s) will be physically removed automatically when no suite
references them (and in the case of source, when no binary references
it).  Please also remember that the changes have been done on the
master archive (ftp-master.debian.org) and will not propagate to any
mirrors (ftp.debian.org included) until the next cron.daily run at the
earliest.

Packages are never removed from testing by hand.  Testing tracks
unstable and will automatically remove packages which were removed
from unstable when removing them from testing causes no dependency
problems.

Bugs which have been reported against this package are not automatically
removed from the Bug Tracking System.  Please check all open bugs and
close them or re-assign them to another package if the removed package
was superseded by another one.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 279526@bugs.debian.org.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Jeroen van Wolffelaar (the ftpmaster behind the curtain)



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 17 Jun 2007 20:21:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:31:06 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.